- Home
- API Enriched
- Dns
- config
- Suggest Values.
Suggest Values.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/suggest-values';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"field_path":"example","match_value":"example","namespace":"example","request_body":{"type_url":"example","value":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/suggest-values \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "field_path": "example", "match_value": "example", "namespace": "example", "request_body": { "type_url": "example", "value": "example" } }'SuggestValues returns suggested values for the specified field in the given Create/Replace/Custom request.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body of SuggestValues request.
object
JSON path of the field for which the suggested values are being requested.
A substring that must be present in either the value or description of each SuggestedItem in the response.
Namespace in which the suggestions are scoped.
object
A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one ”/” character. The last segment of the URL’s path must represent
the fully qualified name of the type (as in
path/google.protobuf.duration). The name should be in a canonical form
(e.g., leading ”.” is not accepted).
In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme HTTP, HTTPS, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:
- If no scheme is provided,
HTTPSis assumed. - An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
- Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)
Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.
Schemes other than HTTP, HTTPS (or the empty scheme) might be
used with implementation specific semantics.
Must be a valid serialized protocol buffer of the above specified type.
Examplegenerated
{ "field_path": "example", "match_value": "example", "namespace": "example", "request_body": { "type_url": "example", "value": "example" }}Responses
Section titled “Responses”A successful response.
Response body of SuggestValues request.
object
List of suggested items.
A tuple with a suggested value and it’s description.
object
Optional description for the suggested value.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Exclusive with [ref_value]
Examplegenerated
{ "items": [ { "description": "example", "ref_value": { "name": "example", "namespace": "example" }, "str_value": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example